Bug 165680 - CVE-2005-2458 gzip/zlib flaws
CVE-2005-2458 gzip/zlib flaws
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: kernel (Show other bugs)
3.0
All Linux
medium Severity low
: ---
: ---
Assigned To: Peter Staubach
Brian Brock
impact=low,source=vendorsec
: Security
Depends On:
Blocks: 168424
  Show dependency treegraph
 
Reported: 2005-08-11 07:49 EDT by Mark J. Cox (Product Security)
Modified: 2007-11-30 17:07 EST (History)
6 users (show)

See Also:
Fixed In Version: RHSA-2006-0144
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-03-15 11:23:21 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Proposed patch (2.59 KB, patch)
2005-08-15 15:22 EDT, Peter Staubach
no flags Details | Diff
Proposed patch (1.89 KB, patch)
2005-10-04 13:10 EDT, Peter Staubach
no flags Details | Diff

  None (edit)
Description Mark J. Cox (Product Security) 2005-08-11 07:49:42 EDT
+++ This bug was initially created as a clone of Bug #165679 +++

Tim Yamin from Gentoo noticed that some older security related bugs in the
decompression code had not been fixed in the kernel.  This is fairly minor as
there are few places where the kernel decompresses arbitrary data.  However it
could be a problem for things like zisofs (if someone mounts a malicious
filesystem), perhaps cslip or ppp too).

CAN-2005-2458 
http://sources.redhat.com/ml/bug-gnu-utils/1999-06/msg00183.html
impact=low,source=vendorsec,public=19990625

CAN-2005-2459
http://bugs.gentoo.org/show_bug.cgi?id=94584
impact=low,source=vendorsec,public=20050531

Fix for 2.6 is here, pretty much identical for 2.4:

http://linux.bkbits.net:8080/linux-2.6/cset@42f3f4e9KIoV6pLtA430xgwjKh2V7g

(See bug noted above for private reproducers)
Comment 1 Ernie Petrides 2005-08-11 16:59:45 EDT
PeterS, it isn't immediately clear to me how the affected code can even be
invoked on RHEL3.  If it can't, then this should be closed as WONTFIX.
Otherwise, I think we should make sure that a fix gets into U7.
Comment 2 Ernie Petrides 2005-08-11 17:01:23 EDT
Don, please read my comment #1, which might be relevant to whether
you'd consider fixing this in RHEL2.1/RHEL2.1-IPF.
Comment 3 Peter Staubach 2005-08-15 15:22:43 EDT
Created attachment 117766 [details]
Proposed patch
Comment 7 Mark J. Cox (Product Security) 2005-08-18 06:10:08 EDT
Sergey Vlasov has done some analysis on these issues and discovered that the
changes in file lib/zlib_inflate/inftrees.c are incorrect and in fact are not
needed.  Gentoo have agreed and therefore from the patch above please ignore the
lib/zlib_inflate/inftrees.c hunk.  This means that CAN-2005-2549 is dropped, but
CAN-2005-2548 still applies.
Comment 8 Peter Staubach 2005-10-04 11:12:43 EDT
Actually, those references should be for CAN-2005-2459 and CAN-2005-2458.
Comment 9 Peter Staubach 2005-10-04 13:10:07 EDT
Created attachment 119613 [details]
Proposed patch
Comment 11 Ernie Petrides 2005-11-02 20:53:41 EST
A fix for this problem has just been committed to the RHEL3 U7
patch pool this evening (in kernel version 2.4.21-37.8.EL).
Comment 14 Red Hat Bugzilla 2006-03-15 11:23:21 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2006-0144.html

Note You need to log in before you can comment on or make changes to this bug.